Subject: Re: [sipcore] WG: New Version Notification for draft-ietf-sipcore-reason-q850-loc-01.txt

From: Yehoshua Gev <[email-masked]>
Date: Tue, 31 Oct 2017 12:19:08 +0300

Hi,

Some minor comments:

1. The draft's header indicates that it updates RFC 6442, but there is no
reference to that RFC in the draft.
   I believe it should be removed.

2. Regarding the IANA registration -
   a. The RFC that defines the guidelines is 3968 (and not 3261).
   b. The sub-registry is Header Field Parameters (and not headers).
   c. I believe the "parameter name" in the registry is the actual name
("location") and not the ABNF representation ("isup-cause-location).
   d. According to the guidelines, "Whether the parameter only accepts a
set of predefined values" should be specified.

3. I think the normative text should limit the use of the "location"
parameter to Reason header fields that use Q.850 protocol.
   On the other hand, you can define what "string" (in the ABNF) can be for
non-Q.850 Reason headers.

Best,
Yehoshua Gev

On Fri, Sep 29, 2017 at 12:44 PM, Jesske, Roland <[email-masked]>
wrote:

> Hi,
> now I have uploaded a new draft reflecting the discussions so far.
> So currently I have taken the general approach using the LOC-xx for all
> missing values.
> I have not strong opinion on it. So if people would like to see an
> differentiation on the "Spare" and " reserved for national use"
>
> Since I have no real preference I can live with both approaches. So if
> nobody would like to see something other than I keep the current approach.
>
> Best Regards
>
> Roland
>
> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]]
> Gesendet: Freitag, 29. September 2017 10:52
> An: Jesske, Roland <[email-masked]>
> Betreff: New Version Notification for draft-ietf-sipcore-reason-
> q850-loc-01.txt
>
>
> A new version of I-D, draft-ietf-sipcore-reason-q850-loc-01.txt
> has been successfully submitted by Roland Jesske and posted to the IETF
> repository.
>
> Name:           draft-ietf-sipcore-reason-q850-loc
> Revision:       01
> Title:          ISUP Cause Location Parameter for the SIP Reason Header
> Field
> Document date:  2017-09-29
> Group:          sipcore
> Pages:          6
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-sipcore-
> reason-q850-loc-01.txt
> Status:         https://datatracker.ietf.org/
> doc/draft-ietf-sipcore-reason-q850-loc/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-sipcore-reason-
> q850-loc-01
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-sipcore-
> reason-q850-loc-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-
> reason-q850-loc-01
>
> Abstract:
>    The SIP Reason header field is defined for carrying ISUP cause values
>    as well as SIP response codes.  Some services in SIP networks may
>    need to know the ISUP location where the call was released in the
>    PSTN network to correctly interpret the reason of release.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
>
> The IETF Secretariat
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>